petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscViewerASCIIPushTab

Adds one more tab to the amount that PetscViewerASCIIPrintf() lines are tabbed.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerASCIIPushTab(PetscViewer viewer)

Not Collective, but only first processor in set has any effect

### Input Parameters

viewer -obtained with PetscViewerASCIIOpen()

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscPrintf(), PetscSynchronizedPrintf(), PetscViewerASCIIPrintf(),
PetscViewerASCIIPopTab(), PetscViewerASCIISynchronizedPrintf(), PetscViewerASCIIOpen(), PetscViewerCreate(), PetscViewerDestroy(), PetscViewerSetType(), PetscViewerASCIIGetPointer()

Level:developer
Location:src/sys/classes/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex14.c.html